# proxy keepalived configuration
---

- name: install keepalived
  dnf:
    name: keepalived
    state: latest

- name: place keepalived config
  template:
    src: primary-keepalived.conf.j2
    dest: /etc/keepalived/keepalived.conf
  when: proxy_index == 0

- name: place keepalived config
  template:
    src: secondary-keepalived.conf.j2
    dest: /etc/keepalived/keepalived.conf
  when: proxy_index == 1

- name: enable keepalived
  systemd:
    name: keepalived
    enabled: true

- name: restart keepalived
  service:
    name: keepalived
    state: restarted
